#
# spec file for package microsoft-hyper-v
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
#

# nodebuginfo
# norootforbuild
# needssslcertforbuild

%define releasetag public
%define release %(date +%%Y%%m%%d)
%define _unpackaged_files_terminate_build 0
%define rdma_dir vmbus-rdma
Name:			msft-rdma
%if %{defined kernel_module_package_buildreqs}
BuildRequires:          %kernel_module_package_buildreqs
%endif
License:		GPL-2.0
Group:			System/Kernel
Summary:		Microsoft Infiniband RDMA Driver for Linux
Version:		20170906.144.0
Release:		4.1
# Source tarfile is exactly as provided in 20170905 email from Microsoft to SUSE
Source0:		%{rdma_dir}.tgz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%if %{defined kernel_module_package}
%kernel_module_package
%endif

%description
This package contains the Microsoft hv_network_direct RDMA driver for SUSE Linux.

%prep
%setup -n %{rdma_dir}

%build
cat > Module.supported <<EOF
hv_network_direct.ko external
EOF
set -- *
mkdir source
mv "$@" source/
mkdir obj
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
	export CONFIG_PCMCIA=m
        make -C %{kernel_source $flavor} M=$PWD/obj/$flavor modules
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	export CONFIG_PCMCIA=m
        make -C %{kernel_source $flavor} M=$PWD/obj/$flavor modules_install
done

%changelog
* Wed Sep  6 2017 andavis@suse.com
- Initial SUSE PLDP build of version 20170905.
- Source provided by Microsoft.
- bsc#1045288
